pcl::PairwisePotential Class Reference

`#include <pcl/ml/pairwise_potential.h>`

## Public Member Functions

| PairwisePotential (const std::vector< float > &feature, const int D, const int N, const float w)
| Constructor for PairwisePotential class. More...
| ~PairwisePotential ()
| Deconstructor for PairwisePotential class. More...
void | compute (std::vector< float > &out, const std::vector< float > &in, std::vector< float > &tmp, int value_size) const

## Public Attributes

std::vector< float > | bary_
std::vector< float > | features_

## Protected Attributes

Permutohedral | lattice_
| Permutohedral lattice. More...
int | N_
| Number of variables. More...
float | w_
| Weight. More...
std::vector< float > | norm_
| Norm. More...

## Detailed Description

Definition at line 48 of file pairwise_potential.h.

## Constructor & Destructor Documentation

## PairwisePotential()

pcl::PairwisePotential::PairwisePotential | ( | const std::vector< float > & | feature,
|  | const int | D,
|  | const int | N,
|  | const float | w
| ) |  |

Constructor for PairwisePotential class.

## ~PairwisePotential()

pcl::PairwisePotential::~PairwisePotential | ( |  | ) |

inline

Deconstructor for PairwisePotential class.

Definition at line 57 of file pairwise_potential.h.

## Member Function Documentation

## compute()

void pcl::PairwisePotential::compute | ( | std::vector< float > & | out,
|  | const std::vector< float > & | in,
|  | std::vector< float > & | tmp,
|  | int | value_size
| ) |  | const

## Member Data Documentation

## bary_

std::vector<float> pcl::PairwisePotential::bary_

Definition at line 79 of file pairwise_potential.h.

## features_

std::vector<float> pcl::PairwisePotential::features_

Definition at line 80 of file pairwise_potential.h.

## lattice_

Permutohedral pcl::PairwisePotential::lattice_

protected

Permutohedral lattice.

Definition at line 67 of file pairwise_potential.h.

## N_

int pcl::PairwisePotential::N_

protected

Number of variables.

Definition at line 70 of file pairwise_potential.h.

## norm_

std::vector<float> pcl::PairwisePotential::norm_

protected

Norm.

Definition at line 76 of file pairwise_potential.h.

## w_

float pcl::PairwisePotential::w_

protected

Weight.

Definition at line 73 of file pairwise_potential.h.

The documentation for this class was generated from the following file:

- pcl/ml/pairwise_potential.h